/*
 * Copyright 2010 Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License").
 * You may not use this file except in compliance with the License.
 * A copy of the License is located at
 * 
 *  http://aws.amazon.com/apache2.0
 * 
 * or in the "license" file accompanying this file. This file is distributed
 * on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */

#import "SQSCreateQueueRequest.h"


@implementation SQSCreateQueueRequest

@synthesize queueName;
@synthesize defaultVisibilityTimeout;


-(id)init {
	if ( self = [super init] ) {
        queueName = nil;
        defaultVisibilityTimeout = nil;
    }
    
    return self;
}
    
-(id)initWithQueueName:(NSString*)theQueueName {
	if ( self = [self init] ) {
        self.queueName = theQueueName;
	}
	
	return self;
}
    
-(id)initWithQueueName:(NSString*)theQueueName andDefaultVisibilityTimeout:(NSNumber*)theDefaultVisibilityTimeout {
	if ( self = [self init] ) {
        self.queueName = theQueueName;
        self.defaultVisibilityTimeout = theDefaultVisibilityTimeout;
	}
	
	return self;
}
    


-(NSString*)description {
    NSMutableString* buffer = [[NSMutableString alloc] initWithCapacity:256];
    
	[buffer appendString:@"{"];    
    [buffer appendString:[[[NSString alloc] initWithFormat:@"QueueName: %@,", queueName] autorelease]];
    [buffer appendString:[[[NSString alloc] initWithFormat:@"DefaultVisibilityTimeout: %@,", defaultVisibilityTimeout] autorelease]];
	[buffer appendString:[super description]];
	[buffer appendString:@"}"];

	return [buffer autorelease];
}
    

-(void)dealloc {
            [queueName release];
    [defaultVisibilityTimeout release];

	[super dealloc];
}		
	

@end
    